/* File: argv.c -- zu Kap. 3.1. Argumente an main
   Fkt.: Ausgabe der Argumente einer Kommandozeile,
	 getrennt nach Optionen und Parametern */
char **pw;
main(argc, argv)
	char *argv[];
{	int i;
	pw = argv;
	printf("Kommando: %s:\n", argv[0]);
	for(i=1; i<argc;i++)  {
		if (*argv[i] != '-')
			printf("   Arg. = %s\n", *(argv+i));
		else
			flags(i);
}	}
flags(j)
{	int i;
	for( i=1; (*(pw+j))[i] != '\0'; i++) {
		printf("   Flag = (%c)\n", (*(pw+j))[i]);
}	}
